- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
gprocess.h File Reference
`#include "gdef.h"`
`#include "gexception.h"`
`#include "gidentity.h"`
`#include "gpath.h"`
`#include "gstrings.h"`
`#include <iostream>`
`#include <sys/types.h>`
`#include <string>`

Go to the source code of this file.

## Classes
class | G::Process
| A static interface for doing things with processes. More...
class | G::Process::Id
| Process-id class. More...
class | G::Process::Umask
| Used to temporarily modify the process umask. More...
class | G::Process::NoThrow
| An overload discriminator for Process. More...

## Namespaces
| G
| Low-level classes.

## Functions
std::ostream & | G::operator<< (std::ostream &stream, const G::Process::Id &id)
std::istream & | G::operator>> (std::istream &stream, G::Process::Id &id)